2017-03-23 14:54 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001942FSSCPgameplaypublic2009-06-30 23:50
ReporterGalemp 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.11 
Summary0001942: New support ship orders acknowledged with wrong persona
DescriptionWhen giving the Vasudan support ship the 'new' orders, such as Stay Safe Distance, the acknowledgment comes from a Terran persona. Try it in FS2 main campaign, during your tour on the Psamtik.
Additional InformationEither make these messages use an existing Support message, find a way to match the support ship species with wingman persona species, or add another message to the Support Persona to handle these orders.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010988

Zacam (administrator)

Producing this on the MediaVP's Mantis site as well in the event that any MediaVP changes are necessary for this fix.

MediaVP Mantis Issue: 226.

~0011025

Goober5000 (administrator)

I added a feature in revision 5384 that will try to choose a random persona of the correct species (rather than the first persona found) if the preferred message can't be found.

The root problem, however, is that messages.tbl does not contain a "yessir" message for support ships (either Terran or Vasudan). The old code defaulted to the Wingman 1 message. So the question now becomes whether or not to include a modified messages.tbl in the media vps.

~0011028

karajorma (administrator)

Oh dear, this actually makes things worse. The old code for playing multiple builtins did actually work despite the comment in SVN attached to it.

On the other hand while this fixes the Vasudan pilot somewhat the terran support pilot has 5 different pilot heads to say yes and no sir from. The result is that the pilot has time for a quick sex and personality change between orders. :p

I hadn't considered the possibility of the Vasudan support ship having new orders which weren't in the messages.tbl when I made that code but given that the Vasudan support ship is on screen for less of the game this is not an improvement on the way round I had it.

~0011029

Goober5000 (administrator)

K, removed the extra messages from the built-in support ship orders. That was surprisingly easy; all I had to do was edit the table in def_files.cpp. :) Thanks to WMC's objecttypes feature, any mod who wishes to add the messages back in may do so.
+Notes

-Issue History
Date Modified Username Field Change
2009-06-23 03:58 Galemp New Issue
2009-06-23 22:29 Zacam Note Added: 0010988
2009-06-30 00:27 Goober5000 Note Added: 0011025
2009-06-30 00:27 Goober5000 Status new => assigned
2009-06-30 00:27 Goober5000 Assigned To => Goober5000
2009-06-30 04:29 karajorma Note Added: 0011028
2009-06-30 23:49 Goober5000 Note Added: 0011029
2009-06-30 23:50 Goober5000 Status assigned => resolved
2009-06-30 23:50 Goober5000 Resolution open => fixed
2009-06-30 23:50 Goober5000 Fixed in Version => 3.6.11
+Issue History